/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   env_private.h                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/03/27 13:40:24 by cchauvet          #+#    #+#             */
/*   Updated: 2023/03/27 13:40:25 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef ENV_PRIVATE_H
# define ENV_PRIVATE_H
# include "./env.h"
# include "../libftx/libftx.h"
# include "../utils/utils.h"

void		swap_env_3(void **a, void **b, void **c);
void		swap_env(void **a, void **b);
char		*get_value(char *str);
char		*get_key(char *str);
int			get_index(char *str, char c);
char		*ft_env_filler(t_data *data, const char *str);

#endif
