/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   fd.c                                               :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/03/27 13:39:58 by cchauvet          #+#    #+#             */
/*   Updated: 2023/03/29 18:51:58 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "./utils.h"
#include <stdio.h> 

void	ft_closer(int fds[2])
{
	if (fds[0] > 2)
	{
		close(fds[0]);
	}
	if (fds[1] > 2)
	{
		close(fds[1]);
	}
}

void	ft_mega_closer(int fds1[2], int fds2[2])
{
	ft_closer(fds1);
	ft_closer(fds2);
}

void	ft_add_fd(int fds[2], int fd)
{
	if (fds[0] == -1)
		fds[0] = fd;
	else
		fds[1] = fd;
}
