/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   cmd.h                                              :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/03/28 15:47:01 by cchauvet          #+#    #+#             */
/*   Updated: 2023/03/28 15:47:02 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef CMD_H
# define CMD_H
# include <stdbool.h>
# include "../data/data.h"

typedef struct s_cmd
{
	int		fd_in[2];
	int		fd_out[2];
	int		pid;
	char	*executable;
	char	**args;
	bool	own_cmd;
}	t_cmd;

void		ft_cmddel(void *content);

#endif
